package org.example.neobar;

import android.app.Activity;
import android.content.ContentValues;
import android.net.Uri;
import android.os.Build;
import android.os.Bundle;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.ListView;
import android.widget.TextView;
import android.widget.Toast;

import com.nostra13.universalimageloader.core.ImageLoader;

import org.example.neobar.model.Evento;

import java.util.ArrayList;
import java.util.Calendar;
import java.util.List;

/**
 * Created by Borregana on 17/11/15.
 */
public class EventoSolo extends Activity {

    Evento evento;
    private Button bCalendar;
    int[] CalIds;

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.evento_solo);

        evento = (Evento) getIntent().getSerializableExtra("Evento");

        TextView tvTitulo = (TextView) this.findViewById(R.id.titulo);
        TextView tvCuerpo = (TextView) this.findViewById(R.id.cuerpo);
        TextView tvFecha = (TextView) this.findViewById(R.id.fecha);
        ImageView imageView = (ImageView) this.findViewById(R.id.imagen);

        ImageLoader imageLoader = ImageLoader.getInstance();

        tvTitulo.setText(evento.getTitle());
        tvCuerpo.setText(evento.getCuerpo());
        tvFecha.setText(evento.getFecha());
        imageLoader.displayImage(evento.getImagen(), imageView);

        bCalendar =(Button) findViewById(R.id.calendar);
        bCalendar.setOnClickListener(new View.OnClickListener() {

            public void onClick(View view) {
                lanzarCalendar();
            }
        });
    }

    public void lanzarCalendar(){

        String[] fecha = evento.getFecha().split("-");
        int anyo = Integer.parseInt(fecha[0]);
        int mes = Integer.parseInt(fecha[1]);
        String[] sdia = fecha[2].split(" ");
        int dia = Integer.parseInt(sdia[0]);

        long calID = 3;

        Calendar beginTime = Calendar.getInstance();
        beginTime.set(anyo, mes - 1, dia, 7, 30);
        ContentValues l_event = new ContentValues();
        l_event.put("calendar_id", calID);
        l_event.put("title", evento.getTitle());
        l_event.put("description",  evento.getCuerpo());
        l_event.put("dtstart", beginTime.getTimeInMillis());
        l_event.put("dtend", beginTime.getTimeInMillis());
        l_event.put("allDay", 0);
        l_event.put("rrule", "FREQ=YEARLY");
        l_event.put("eventStatus", 1);
        l_event.put("eventTimezone", "Spain");

        Uri l_eventUri;
        if (Build.VERSION.SDK_INT >= 8) {
            l_eventUri = Uri.parse("content://com.android.calendar/events");
        } else {
            l_eventUri = Uri.parse("content://calendar/events");
        }
        Uri l_uri = this.getContentResolver().insert(l_eventUri, l_event);

        String add=evento.getTitle()+ " has been added to calendar";
        Toast.makeText(this, add, Toast.LENGTH_LONG).show();
    }

}