package org.example.neobar;

import android.os.StrictMode;
import android.util.Log;

import com.google.gson.Gson;

import org.example.neobar.model.Evento;
import org.json.JSONArray;

import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.URL;
import java.util.Arrays;
import java.util.List;

/**
 * Created by Borregana on 9/11/15.
 */
public class LectorEventosHosting implements IAlmacenEventos {

    public LectorEventosHosting() {
        StrictMode.setThreadPolicy(new StrictMode.ThreadPolicy.Builder().permitNetwork().build());
    }

    @Override
    public void guardarEvento(int img, String nombre, long fecha) {

    }

    public List<Evento> listaEventos(int cantidad) {
           List<Evento> eventosList = null;
            HttpURLConnection conexion = null;
            try {
                URL url = new URL("http://enbinari.com/neobar/blog_json/testJson.json");

                conexion = (HttpURLConnection) url.openConnection();

                if (conexion.getResponseCode() == HttpURLConnection.HTTP_OK) {
                    BufferedReader reader = new BufferedReader(new InputStreamReader(conexion.getInputStream()));
                    String linea = reader.readLine();

                    if (linea != null) {
                        Gson gson = new Gson();
                        JSONArray jsonArray = new JSONArray(linea);

                        eventosList = Arrays.asList(gson.fromJson(jsonArray.toString(), Evento[].class));
                    }

                    reader.close();
                    conexion.disconnect();
                    return eventosList;

                } else {
                    Log.e("Neobar", conexion.getResponseMessage());
                    conexion.disconnect();
                    return null;
                }
            } catch (Exception e) {
                Log.e("Neobar", e.getMessage(), e);
                conexion.disconnect();
                return null;
            }
        }
}
