package org.example.neobar;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.ImageView;
import android.widget.TextView;

import com.nostra13.universalimageloader.core.ImageLoader;

import org.example.neobar.model.Evento;

import java.util.List;

/**
 * Created by Borregana on 12/11/15.
 */
public class MiAdaptador extends BaseAdapter {
    private final Activity actividad;
    private final List<Evento> lista;

    public MiAdaptador(Activity actividad, List<Evento> lista) {
        super();
        this.actividad = actividad;
        this.lista = lista;
    }
    public View getView(final int position, View convertView, ViewGroup parent) {

        LayoutInflater inflater = actividad.getLayoutInflater();
        View view = inflater.inflate(R.layout.elemento_lista, null, true);

        TextView tvTitulo =(TextView)view.findViewById(R.id.titulo);
        TextView tvSubtitulo = (TextView) view.findViewById(R.id.subtitulo);
        ImageView imageView=(ImageView)view.findViewById(R.id.icono);

        tvTitulo.setText(lista.get(position).getTitle());
        tvSubtitulo.setText(lista.get(position).getFecha());

        ImageLoader imageLoader = ImageLoader.getInstance();

        imageLoader.displayImage(lista.get(position).getImagen(), imageView);

        view.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent intent = new Intent(actividad, EventoSolo.class);
                Bundle bundle = new Bundle();
                bundle.putSerializable("Evento", lista.get(position));
                intent.putExtras(bundle);
                actividad.startActivity(intent);
            }
        });

        return view;
    }


    public int getCount() {
        return lista.size();
    }

    public Object getItem(int arg0) {
        return lista.get(arg0);
    }

    public long getItemId(int position) {
        return position;
    }
}
