package org.example.neobar;

import android.app.Activity;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.ImageView;
import android.widget.TextView;

import com.nostra13.universalimageloader.core.ImageLoader;

import org.example.neobar.model.Evento;

import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.List;

/**
 * Created by Borregana on 17/11/15.
 */
public class MiAdaptadorListaSolo {
    
        private final Activity actividad;
        private final Evento evento;
        int pos;

        public MiAdaptadorListaSolo(Activity actividad, Evento evento) {
            super();
            this.actividad = actividad;
            this.evento = evento;
        }
        public View getView(int position, View convertView, ViewGroup parent) {

            LayoutInflater inflater = actividad.getLayoutInflater();
            View view = inflater.inflate(R.layout.elemento_solo, null, true);

            TextView tvTitulo =(TextView)view.findViewById(R.id.titulo);
            TextView tvCuerpo = (TextView) view.findViewById(R.id.cuerpo);
            TextView tvFecha = (TextView) view.findViewById(R.id.fecha);
            ImageView imageView=(ImageView)view.findViewById(R.id.imagen);

            ImageLoader imageLoader = ImageLoader.getInstance();

            tvTitulo.setText(evento.getTitle());
            tvCuerpo.setText(evento.getCuerpo());
            tvFecha.setText(evento.getFecha());
            imageLoader.displayImage(evento.getImagen(), imageView);

            return view;
        }

        public int getCount() {
            return 1;
        }

        public Object getItem(int arg0) {
            return evento;
        }

        public long getItemId(int position) {
            return position;
        }
    }


