package org.example.neobar;

import android.app.Activity;
import android.text.TextUtils;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.ImageView;
import android.widget.TextView;

import com.nostra13.universalimageloader.core.ImageLoader;

import org.example.neobar.model.Evento;

import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.List;

/**
 * Created by Borregana on 13/11/15.
 */
public class MiAdaptadorSolo extends BaseAdapter {
    private final Activity actividad;
    private final List<Evento> lista;
    int pos;

    DateFormat dateFormat = new SimpleDateFormat("yyyy/MM/dd HH:mm:ss");
    Calendar hoy = Calendar.getInstance();
    String sHoy = dateFormat.format(hoy.getTime());

    public MiAdaptadorSolo(Activity actividad, List<Evento> lista) {
        super();
        this.actividad = actividad;
        this.lista = lista;
    }
    public View getView(int position, View convertView, ViewGroup parent) {

        LayoutInflater inflater = actividad.getLayoutInflater();
        View view = inflater.inflate(R.layout.elemento_solo, null, true);

        TextView tvTitulo =(TextView)view.findViewById(R.id.titulo);
        TextView tvCuerpo = (TextView) view.findViewById(R.id.cuerpo);
        TextView tvFecha = (TextView) view.findViewById(R.id.fecha);
        ImageView imageView=(ImageView)view.findViewById(R.id.imagen);

        ImageLoader imageLoader = ImageLoader.getInstance();

        int i=0;
        String fechamin = lista.get(i).getFecha();
        pos=lista.indexOf(lista.get(i));

        for (Evento list : lista) {
            //fecha elemento > fecha de hoy < fecha elemento
            if(list.getFecha().compareTo(fechamin)<=0 && sHoy.compareTo(list.getFecha())<=0 ){
                fechamin=list.getFecha();
                pos= lista.indexOf(list);
            }
        }
        tvTitulo.setText(lista.get(pos).getTitle());
        tvCuerpo.setText(lista.get(pos).getCuerpo());
        tvFecha.setText(lista.get(pos).getFecha());
        imageLoader.displayImage(lista.get(pos).getImagen(), imageView);

        return view;
    }

    public int getCount() {
        return 1;
    }

    public Object getItem(int arg0) {
        return lista.get(arg0);
    }

    public long getItemId(int position) {
        return position;
    }
}
